2004年11月24日

[debian-users:42027] Re: libstdc++.so.5

武藤@Debianぷろじぇくとです。

At Wed, 24 Nov 2004 17:38:38 +0900,
<kidflower@xxxxx> wrote:
> Mozilla-firefox1.0英語版、RealPlayer9英語Linux版等のInstall中に必ず
> "cannot find libstdc++.so.5"とエラーメッセージが出ます。
> #ln -s /usr/lib/libstdc++.so.5 /usr/lib/libstdc++.so.3
> とシンボリックリンクをしてもバージョンが古いとのエラーメッセージが
> 出て解決できません。
> Woody r3.0 kernel-2.4.26-2を使用しています。

> Debian Users mailing listにも解決方法が有りませんでした。
> Index of debian/poolにもlibstdc++.so.5のInstallできるファイルが
> 見当たりません。
> SargeですとDefaultで既にlibstdc++.so.5が入っているというお話しも
> Webにはありましたが、そのまま使用するとWoodyでは動作の不具合も
> あるかもしれないそうです。
> libstdc++.so.5のWoody r3.0版の入手方法をご存知の方がおられましたら
> よろしく御指導くださいませ。

gcc-3.3のライブラリですな。Sargeではデフォルトで採用されています。

方法A: Sargeに移行する。
方法B: chrootを作り、その中をSargeにして、このchrootからアプリケーショ
ンを起動するようにする。
方法C: Woodyにバックポートしたもの
http://debian.ethz.ch/pub/debian-backports/dists/woody/backports/gcc-3.3/binary-i386/)
があるようです。入れてどうなっちゃうのかはわかりませんが。
--
武藤 健志@ kmuto @ kmuto.jp
Debian/JPプロジェクト (kmuto@xxxxx, kmuto@xxxxx)
株式会社トップスタジオ (kmuto@xxxxx)
URI: http://kmuto.jp/ (Debianな話題など)

投稿者 xml-rpc : 2004年11月24日 18:40
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/28156
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。